com.holonplatform.datastore.jpa.jpql.expression

## Interface JPQLStatement

- All Superinterfaces:
    com.holonplatform.core.Expression
  All Known Subinterfaces:
    JPQLQuery<Q,R>

      public interface JPQLStatement
      extends com.holonplatform.core.Expression

  JPQL statement expression, with statement parameters support.
  Since:
    5.1.0

- - ### Nested Class Summary

    - ### Nested classes/interfaces inherited from interface com.holonplatform.core.Expression

      `com.holonplatform.core.Expression.ExpressionResolverFunction<E extends com.holonplatform.core.Expression,R extends com.holonplatform.core.Expression>, com.holonplatform.core.Expression.InvalidExpressionException`

  - ### Method Summary

    All Methods Static Methods Instance Methods Abstract Methods Default Methods
    Modifier and Type | Method and Description
    --- | ---
    `static JPQLStatement` | `create(String jpql, Map<String,JPQLParameter<?>> parameters)` Create a new `JPQLStatement`.
    `String` | `getJPQL()` Get the statement JPQL.
    `Map<String,JPQLParameter<?>>` | `getParameters()` Get the optional statement named parameters.

    - ### Methods inherited from interface com.holonplatform.core.Expression

      `validate`

- - ### Method Detail

    - #### getJPQL

          String getJPQL()

      Get the statement JPQL.
      Returns:
        the statement JPQL (not null)

    - #### getParameters

          Map<String,JPQLParameter<?>> getParameters()

      Get the optional statement named parameters.
      Returns:
        the statement parameters name-value map, empty if none

    - #### create

          static JPQLStatement create(String jpql,
                                      Map<String,JPQLParameter<?>> parameters)

      Create a new `JPQLStatement`.
      Parameters:
        `jpql` - JPQL statement (not null)
        `parameters` - Optional statement parameters
      Returns:
        A new `JPQLStatement`

Copyright © 2019 The Holon Platform. All rights reserved.